Bug 895195 - Port gausssum's use of PIL to support Pillow for F19
Port gausssum's use of PIL to support Pillow for F19
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gausssum (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PILLOW
  Show dependency treegraph
 
Reported: 2013-01-14 14:11 EST by Toshio Ernie Kuratomi
Modified: 2013-02-04 20:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-04 20:17:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to use the form of import of PIL that is pillow compatible (917 bytes, patch)
2013-01-14 14:11 EST, Toshio Ernie Kuratomi
no flags Details | Diff

  None (edit)
Description Toshio Ernie Kuratomi 2013-01-14 14:11:24 EST
Created attachment 678398 [details]
Patch to use the form of import of PIL that is pillow compatible

Fedora 19 is going to stop shipping python-imaging (PIL) and start shipping python-pillow instead.  Rationale can be found on the feature page: https://fedoraproject.org/wiki/Features/Pillow .  pillow should be compatible with PIL at the code level but the import statement changes slightly.

PIL supports both of these:

import Image

from PIL import Image

Pillow only supports the latter form.

I grepped through the gausssum source and found some occurrences of "import Image".  I'll attach a patch that updates these to the new form of import.
Comment 1 Toshio Ernie Kuratomi 2013-01-29 12:13:43 EST
If I don't hear anything back from you, I'll go ahead and use provenpackager powers to apply this patch to the RawHide package next week.  I'll leave sending the patch to upstream up to you, though.
Comment 2 Susi Lehtola 2013-01-29 12:35:33 EST
Go ahead as you have the patch ready, I've filed a bug upstream.
Comment 3 Toshio Ernie Kuratomi 2013-02-04 20:17:32 EST
Great.  New gaussum built for rawhide.

Note You need to log in before you can comment on or make changes to this bug.